Skip to main content

Send Email OTP API

This document outlines the details of Send Email OTP API.

API Description

This document outlines the details of the Send Email OTP API.

Objective

The Send Email OTP API sends a One-Time Password (OTP) to the user's email address during the email verification process.

InputOutput
The email-ID of the user and the desired OTP lengthThe API sends an OTP to the user's email and returns a JSON response with a request ID to be utilized by the Verify Email OTP API

API URL

https://ind-engine.thomas.hyperverge.co/v1/sendOTPEmail

API Endpoint

sendOTPEmail

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyThis should be both unique and easily associated with the user's journey in your application(s)

Inputs

The following table provides the complete information on the parameters used in the request body for the API calls.

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
email The user's email addressMandatoryNot ApplicableNot Applicable
otpLength The desired length of the OTP meant for the user's email addressMandatoryOTP length must be either 4 or 6 digitsNot Applicable
widgetIdThe Widget ID for a custom email template. If this is not passed, the default email template with HyperVerge branding will be sentOptionalNot ApplicableThe widgetId from HyperVerge

Request

The following code shows a standard cURL request for the API.

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/sendOTPEmail' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"emailId": "<Enter_the_email_ID>",
"otpLength": "<Enter_the_chosen_otp_length>",
"widgetId": "<Enter_the_Widget_ID>"
}'

Success Response

The following is a success response from the API.

{
"status": "success",
"statusCode": "200",
"result": {
"message": "<Request_ID>"
}
}

Success Response Details

ParameterTypeDescription
messageStringThis is the request ID for verifying the OTP which is further utilized as an input parameter by the Verify Email OTP API

Error Responses

{
"message": "Input Validation Error: is not one of enum values: 4,6",
"statusCode": 400,
"status": "failure"
}

Error Response Details

A failure or error response from the module contains a failure status, with a relavant status code and error message. The following table lists all error responses.

Status CodeError MessageError Description
400Missing required request parametersSome mandatory request parameters are missing in the API request made or the parameter has already been passed
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values
403Access DeniedPlease contact the HyperVerge team for resolution
429Rate limit exceededYou have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: